summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/transactions/0042_stateful_expr_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/transactions/0042_stateful_expr_0')
-rwxr-xr-xtests/shell/testcases/transactions/0042_stateful_expr_014
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/shell/testcases/transactions/0042_stateful_expr_0 b/tests/shell/testcases/transactions/0042_stateful_expr_0
new file mode 100755
index 00000000..918e7219
--- /dev/null
+++ b/tests/shell/testcases/transactions/0042_stateful_expr_0
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+RULESET="
+add table ip filter
+add counter ip filter c1
+add map ip filter m1 { type ipv4_addr : counter ;}
+add element ip filter m1 { 1 : c1 }
+add element ip filter m1 { 1 : c1 }
+delete element ip filter m1 { 1 }
+delete counter ip filter c1"
+
+$NFT -f - <<< "$RULESET"